<assembly xmlns="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xsi:schemaLocation="http://maven.apache.org/plugins/maven-assembly-plugin/assembly/1.1.0 http://maven.apache.org/xsd/assembly-1.1.0.xsd">
  <id>dist</id>
  <formats>
    <format>tar.gz</format>
    <format>zip</format>
  </formats>
  <files>
    <file>
      <source>LICENSE-2.0.txt</source>
    </file>
    <file>
      <source>src/main/assembly/gamerahom</source>
      <fileMode>755</fileMode>
      <filtered>true</filtered>
    </file>
    <file>
      <source>src/main/resources/log4j.properties</source>
      <fileMode>644</fileMode>
    </file>
    <file>
      <source>src/main/assembly/bpel.yaml</source>
      <outputDirectory>samples</outputDirectory>
      <fileMode>644</fileMode>
    </file>
    <file>
      <source>target/dependency/ode.war</source>
    </file>
  </files>
  <fileSets>
    <fileSet>
      <directory>src/test/resources/loanRPC</directory>
      <outputDirectory>samples/loanRPC</outputDirectory>
    </fileSet>
  </fileSets>
  <dependencySets>
    <dependencySet>
      <scope>runtime</scope>
      <outputDirectory>lib</outputDirectory>
      <directoryMode>0744</directoryMode>
    </dependencySet>
  </dependencySets>
</assembly>
